### Hierarchy

- HLJSStatic

## Index

### Properties

- APOS_STRING_MODE
- BACKSLASH_ESCAPE
- BINARY_NUMBER_MODE
- BINARY_NUMBER_RE
- CSS_NUMBER_MODE
- C_BLOCK_COMMENT_MODE
- C_LINE_COMMENT_MODE
- C_NUMBER_MODE
- C_NUMBER_RE
- HASH_COMMENT_MODE
- IDENT_RE
- NUMBER_MODE
- NUMBER_RE
- PHRASAL_WORDS_MODE
- QUOTE_STRING_MODE
- REGEX_MODE
- RE_STARTERS_RE
- TITLE_MODE
- UNDERSCORE_IDENT_RE
- UNDERSCORE_TITLE_MODE

### Methods

- inherit

## Properties

### APOS_STRING_MODE

APOS_STRING_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:98

### BACKSLASH_ESCAPE

BACKSLASH_ESCAPE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:97

### BINARY_NUMBER_MODE

BINARY_NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:106

### BINARY_NUMBER_RE

BINARY_NUMBER_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:93

### CSS_NUMBER_MODE

CSS_NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:107

### C_BLOCK_COMMENT_MODE

C_BLOCK_COMMENT_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:102

### C_LINE_COMMENT_MODE

C_LINE_COMMENT_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:101

### C_NUMBER_MODE

C_NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:105

### C_NUMBER_RE

C_NUMBER_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:92

### HASH_COMMENT_MODE

HASH_COMMENT_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:103

### IDENT_RE

IDENT_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:89

### NUMBER_MODE

NUMBER_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:104

### NUMBER_RE

NUMBER_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:91

### PHRASAL_WORDS_MODE

PHRASAL_WORDS_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:100

### QUOTE_STRING_MODE

QUOTE_STRING_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:99

### REGEX_MODE

REGEX_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:108

### RE_STARTERS_RE

RE_STARTERS_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:94

### TITLE_MODE

TITLE_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:109

### UNDERSCORE_IDENT_RE

UNDERSCORE_IDENT_RE: string

- Defined in node_modules/@types/highlight.js/index.d.ts:90

### UNDERSCORE_TITLE_MODE

UNDERSCORE_TITLE_MODE: IMode

- Defined in node_modules/@types/highlight.js/index.d.ts:110

## Methods

### inherit

- inherit(parent: Object, obj: Object): Object

- - Defined in node_modules/@types/highlight.js/index.d.ts:86

  #### Parameters

  - ##### parent: Object

  - ##### obj: Object

  #### Returns Object

Generated using TypeDoc